<nb-card>
  <nb-card-header><h2>Ajouter des invitations</h2></nb-card-header>
  <nb-card-body>
    <form (submit)="importCSV($event)" *ngIf="!importing">
      <div class="form-group">
        <label for="event">Evènement :</label>
        <select class="form-control" name="event" id="event" required [(ngModel)]="event" [disabled]="ready">
          <option *ngFor="let event of events" [value]="event.id">{{event.name}}</option>
        </select>
      </div>
      <div class="form-group">
        <label for="file">Fichier :</label>
        <input type="file" class="form-control" id="file" name="file" #csvFile (change)="loadCSV()" [disabled]="ready">
        <p>Fichier .CSV (séparateur virgulle) avec colones (last_name,first_name,email,seats)</p>
      </div>
      <div class="row">
        <div class="col-sm-12 col-md-4 offset-md-4">
          <button class="btn btn-primary btn-block" [disabled]="!ready">Importer</button>
        </div>
      </div>
    </form>
    <div class="text-center" *ngIf="importing">
      <h2 *ngIf="importedCount < importedTotal">Importation {{importedCount}}/{{importedTotal}} ...</h2>
      <h2 *ngIf="importedCount >= importedTotal">Importation de {{importedCount}} invitation(s) terminée</h2>
    </div>
  </nb-card-body>
</nb-card>
